package com.qmth.exam.reserve.service;

import com.qmth.exam.reserve.bean.login.LoginReq;
import com.qmth.exam.reserve.bean.login.LoginUser;
import com.qmth.exam.reserve.bean.login.WechatLoginReq;

public interface AuthService {

    LoginUser userLogin(LoginReq req);

    LoginUser studentLogin(LoginReq req);

    LoginUser wechatLogin(WechatLoginReq req);

    void logout(LoginUser user);

}
